stages:
- build
- test

build-test-image:
  image: docker:latest
  stage: build
  services:
  - docker:dind
  before_script:
  - docker login -u "$CI_REGISTRY_USER" -p "$CI_REGISTRY_PASSWORD" $CI_REGISTRY
  script:
  - docker build --pull -t "$CI_REGISTRY_IMAGE/tester:latest" nexus-test/
  - docker push "$CI_REGISTRY_IMAGE/tester:latest"

build-proxy-image:
  image: docker:latest
  stage: build
  services:
  - docker:dind
  before_script:
  - docker login -u "$CI_REGISTRY_USER" -p "$CI_REGISTRY_PASSWORD" $CI_REGISTRY
  script:
  - docker build --pull -t "$CI_REGISTRY_IMAGE/proxy:latest" nexus-proxy/
  - docker push "$CI_REGISTRY_IMAGE/proxy:latest"


